# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Need long-winded requires filter if we don't have rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -pi -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e')

%global beta beta7

Summary:	A traceroute implementation using TCP packets
Name:		tcptraceroute
Version:	1.5
Release:	%{?beta:0.}7%{?beta:.%{beta}}.%{__distinit}%{__distvers}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://michael.toren.net/code/tcptraceroute/
Source:		http://michael.toren.net/code/tcptraceroute/tcptraceroute-%{version}%{?beta}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	libnet-devel, /usr/include/pcap.h

# Don't require perl or any perl modules (from test suite in %%doc)
%global __requires_exclude_from %{_docdir}/%{name}-%{version}/tcptra-testsuite\\.pl
%if ! %{rpm49}
%global _use_internal_dependency_generator 0
%global __deploop() while read FILE; do /usr/lib/rpm/rpmdeps -%{1} ${FILE}; done | sort -u
%global __find_requires /bin/sh -c "%{__deploop R} | grep -v perl"
%endif

%description
tcptraceroute is a traceroute implementation using TCP packets.

The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the destination
has been reached. By printing the gateways that generate ICMP time
exceeded messages along the way, it is able to determine the path
packets are taking to reach the destination.

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up being
filtered, making it impossible to completely trace the path to the
destination. However, in many cases, these firewalls will permit inbound
TCP packets to specific ports that hosts sitting behind the firewall are
listening for connections on. By sending out TCP SYN packets instead of
UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most common
firewall filters.

%prep
%setup -q -n %{name}-%{version}%{?beta}

%build
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install install-man
rm -rf %{buildroot}%{_docdir}/tcptraceroute

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING examples.txt tcptraceroute.1.html tcptraceroute.lsm tcptra-testsuite.pl
%{_bindir}/tcptraceroute
%{_mandir}/man1/tcptraceroute.1*

%changelog
* Tue Aug  2 2011 Paul Howarth <paul@city-fan.org> 1.5-0.7.beta7
- Simplify requires filter if we have rpm ≥ 4.9
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May 14 2010 Paul Howarth <paul@city-fan.org> 1.5-0.6.beta7
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> 1.5-0.5.beta7
- Dist tag for Rawhide no longer needs special-casing

* Thu Aug 27 2009 Paul Howarth <paul@city-fan.org> 1.5-0.4.beta7
- Clarify license as GPL version 2 or later
- Change libpcap buildreq to /usr/include/pcap.h, which works everywhere
- Change libnet buildreq to libnet-devel
- Use SuSE-compatible dist tags macros
- Try to maintain timestamps in files copied unchanged from upstream
- Use a better dependency filter that leaves more real dependencies

* Thu Mar 27 2007 Paul Howarth <paul@city-fan.org> 1.5-0.3.beta7
- RHEL5 onwards need libpcap-devel buildreq

* Mon Sep 11 2006 Paul Howarth <paul@city-fan.org> 1.5-0.2.beta7
- FC6 onwards need libpcap-devel buildreq

* Wed Jul 12 2006 Paul Howarth <paul@city-fan.org> 1.5-0.1.beta7
- Update to beta7
- Follow Fedora Extras package naming guidelines
- Simplify perl dependency filter kludge
- Remove buildroot unconditionally in %%install and %%clean
- Use %%{?_smp_mflags}
- Don't use deprecated %%makeinstall macro
- Cosmetic spec file changes

* Fri Jul  8 2005 Paul Howarth <paul@city-fan.org> - 1.5-0.beta6.2
- enable building with dist tag if required:
  e.g. $ rpmbuild --define "dist fc4" ...

* Fri Mar 11 2005 Paul Howarth <paul@city-fan.org> - 1.5-0.beta6.1
- Major update; build now uses autoconf and supports libnet 1.1.x

* Thu May 01 2003 Dag Wieers <dag@wieers.com> - 1.4-2
- Removed libnet requirement. (Build staticly)

* Mon Dec 16 2002 Dag Wieers <dag@wieers.com> - 1.4-0
- Updated to 1.4.

* Thu Aug 02 2001 Dag Wieers <dag@wieers.com> - 1.2
- Initial package.
